<?php
session_start();
	
	if (isset($_POST['k2'])) {
	require_once('wa_polacz.php');
	$id = $_SESSION['id']; // id user
	$imie = $_SESSION['nazwa'];  //nazwa user
	date_default_timezone_set('Europe/Warsaw');
	$data = date("Y-m-d H:m:i");	
		
	$w1=$_POST['k1'];
	$kol1 = $_POST['k3'];
	$kol2 = $_POST['k4'];
	$kol3 = $_POST['k5'];

	$tk = strip_tags($_POST['k2']);
	$kom = wordwrap($tk, 90, "<br />\n", true);
	$zap1 = "INSERT INTO blog_komentarz (id_wpisu, id_user, nazwa, komentarz, data_komentarza)
					VALUES ($w1, '$id', '$imie', '$kom', NOW())";
	 $wyslij = mysqli_query($db, $zap1);
	//-----------------------
	
	$zap2 = "SELECT * FROM blog_komentarz WHERE id_user=$id AND id_wpisu=$w1 order by id_wpisu, data_komentarza asc";
	$pobierz_komentarz = mysqli_query($db, $zap2);
	$blog_komentarz = array();
	while ($wiersz = mysqli_fetch_row($pobierz_komentarz)) 
	{
		$blog_komentarz[] = $wiersz;
	}
	
	//-----------------------
	
	$zap3 = "SELECT kol_fonttytul1, kol_fontwpis1,kol_tlowpis1, kol_ramkawpis1, kol_fontkomentarz1,
	kol_tlokomentarz1, kol_ramkakomentarz1, kol_fonttytul2, kol_fontwpis2, kol_tlowpis2, kol_ramkawpis2,
	kol_fontkomentarz2, kol_tlokomentarz2, kol_ramkakomentarz2, kol_tloblog
	FROM blog_setup WHERE id_user=$id";
	
	$pobierz_komentarz = mysqli_query($db, $zap2);
	$blog_komentarz = array();
	while ($wiersz = mysqli_fetch_row($pobierz_komentarz)) 
	{
		$blog_komentarz[] = $wiersz;
	}
	
	for ($i=0; $i<count($blog_komentarz); $i++) {
		echo '<div id="dblog_komentarz" style="background-color: '.$kol2.'; border-color: '.$kol3.';">';
			echo '<div id="dkomentarz_info">';	
				echo 'Komentarz dodał: '.$blog_komentarz[$i][3].'&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;'.$blog_komentarz[$i][5];
			echo '</div>';
			echo '<div id="dkomentarz_tresc" style="color: '.$kol1.'" >';
					echo $blog_komentarz[$i][4];
			echo '</div>';
		echo '</div>';
	}
	unset($_POST['k1']);
	unset($_POST['k2']);
	unset($_POST['k3']);
	unset($_POST['k4']);
	unset($_POST['k5']);
	mysqli_free_result($pobierz_komentarz);
}

?>